Skip to main content
GET
/
conversation
/
v1
/
conversations
/
{conversationId}
/
messages
/
{messageId}
Retrieve a message
curl --request GET \
  --url https://api.sandbox.asapp.com/conversation/v1/conversations/{conversationId}/messages/{messageId} \
  --header 'asapp-api-id: <api-key>' \
  --header 'asapp-api-secret: <api-key>'
import requests

url = "https://api.sandbox.asapp.com/conversation/v1/conversations/{conversationId}/messages/{messageId}"

headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'asapp-api-id': '<api-key>', 'asapp-api-secret': '<api-key>'}
};

fetch('https://api.sandbox.asapp.com/conversation/v1/conversations/{conversationId}/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "text": "Hello, I would like to upgrade my internet plan to GOLD.",
  "sender": {
    "role": "customer",
    "externalId": "123456"
  },
  "messageId": "01GMXE90AEV7H3J4DPBDKB1R79",
  "createdTimestamp": "2021-11-23T12:13:16.853Z",
  "clientTimestamp": "2021-11-23T12:13:14.555Z"
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}

Authorizations

asapp-api-id
string
header
required
asapp-api-secret
string
header
required

Path Parameters

conversationId
string
required

The identifier for a conversation.

Pattern: ^[A-Z0-9]+$
messageId
string
required

Internal message identifier from ASAPP

Pattern: ^[A-Z0-9]+$

Response

Successfully fetched message from a conversation

Response for GetMessage

text
string
required

Text sent

Minimum string length: 1
sender
object
required

A participant within a conversation

messageId
string
required

The identifier of the message.

Minimum string length: 1
createdTimestamp
string<date-time>
required

The time when the message object was created in the ASAPP system.

clientTimestamp
string<date-time>
required

The timestamp of when the message was sent.